%define name	ical
%define version	2.2
%define release	22mdk

Summary:	An X Window System-based calendar program
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.research.digial.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/ical-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2
Patch0:		ical-2.2-newtcl.patch.bz2
Patch1:		ical-gcc2.95.patch.bz2
Patch2:		ical-2.2-declare.patch.bz2
Patch3:		ical-2.2-checkprotos.patch.bz2

Url:		http://www.research.digital.com/SRC/perzsonal/Sanjay_Ghemawat/ical/home.html
License:	BSD-Style
Group:		Office
BuildRequires:	tk XFree86-devel
BuildRoot:	%{_tmppath}/ical-%{version}-root

%description
Ical is an X Window System based calendar program. Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

%prep
%setup -q
%patch0 -p1 -b .newtcl
%patch1 -p1 -b .gcc
%patch2 -p1 -b .declare
%patch3 -p1 -b .checkprotos

%build
autoconf
%configure --with-tclsh=%{_bindir}/tclsh
make OPTF="$RPM_OPT_FLAGS -DHAVE_STRNCASECMP_PROTO" CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_STRNCASECMP_PROTO"

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall
install -m644 doc/ical.man $RPM_BUILD_ROOT%{_mandir}/man1/ical.1

#install menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(ical): needs="X11" icon="ical.xpm" section="Office/Time management" \
title="Ical" longtitle="Calendar program" command="/usr/bin/ical"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
## menu
%update_menus

%postun
## menu
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ical.html doc/ical.doc 
%doc doc/interface.html doc/interface.doc
%{_bindir}/ical-%{version}
%{_bindir}/ical
%{_mandir}/man1/ical.1*
%{_libdir}/ical
%{_menudir}/ical
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2-22mdk
- Fix build on ia64:
  - Patch2: second argument to gethostname() shall be size_t and not unsigned int
  - Patch3: configure.in: check for prototypes in C mode so that we
    don't get errors for implicit conversions from function type to (void *),
    which is forbidden in C++

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2-21mdk
- BuildRequires:	tk
- Copyright --> License

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2-20mdk
- BuildRequires:	XFree86-devel

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2-19mdk
- Change Office menu entries

* Tue Nov 21 2000 Egil Moeller <redhog@mandrakesoft.com> 2.2-18mdk
- Changed the "copyright" field of the .spec-file to refelct
  what's really in COPYING and to make rpmlint happy...
- Fix to icons-dir-ownership

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2-17mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2-16mdk
- fix icons!

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-15mdk
- fixed build with new tcl.
- macrosifications.

* Tue Jul 18 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2-14mdk
- Fix Group and menu

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.2-13mdk
- Specs fix
- Change Group
- Add menu and remove wmconfig

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilations with gcc2.95.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix glibc21 compilation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- patch to build against the latest tcltk

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- replaced references to the version number with %{PACKAGE_VERSION}

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated to version 2.2, which is supposed to work with Tcl/Tk 8.0
- added wmconfig entry

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- Update version

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- build against tcl/tk 8.0

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
